# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "coercible"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Piotr Solnica"]
  s.date = "2013-12-10"
  s.description = "Powerful, flexible and configurable coercion library. And nothing more."
  s.email = ["piotr.solnica@gmail.com"]
  s.files = [".gitignore", ".rspec", ".travis.yml", "Changelog.md", "Gemfile", "Gemfile.devtools", "Guardfile", "LICENSE.txt", "README.md", "Rakefile", "coercible.gemspec", "config/flay.yml", "config/flog.yml", "config/mutant.yml", "config/roodi.yml", "config/site.reek", "lib/coercible.rb", "lib/coercible/coercer.rb", "lib/coercible/coercer/array.rb", "lib/coercible/coercer/configurable.rb", "lib/coercible/coercer/date.rb", "lib/coercible/coercer/date_time.rb", "lib/coercible/coercer/decimal.rb", "lib/coercible/coercer/false_class.rb", "lib/coercible/coercer/float.rb", "lib/coercible/coercer/hash.rb", "lib/coercible/coercer/integer.rb", "lib/coercible/coercer/numeric.rb", "lib/coercible/coercer/object.rb", "lib/coercible/coercer/string.rb", "lib/coercible/coercer/symbol.rb", "lib/coercible/coercer/time.rb", "lib/coercible/coercer/time_coercions.rb", "lib/coercible/coercer/true_class.rb", "lib/coercible/configuration.rb", "lib/coercible/version.rb", "lib/support/options.rb", "lib/support/type_lookup.rb", "spec/integration/configuring_coercers_spec.rb", "spec/shared/unit/coerced_predicate.rb", "spec/shared/unit/configurable.rb", "spec/spec_helper.rb", "spec/unit/coercible/coercer/array/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/array/to_set_spec.rb", "spec/unit/coercible/coercer/class_methods/new_spec.rb", "spec/unit/coercible/coercer/configurable/config_name_spec.rb", "spec/unit/coercible/coercer/configurable/config_spec.rb", "spec/unit/coercible/coercer/date/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/date/to_date_spec.rb", "spec/unit/coercible/coercer/date/to_datetime_spec.rb", "spec/unit/coercible/coercer/date/to_string_spec.rb", "spec/unit/coercible/coercer/date/to_time_spec.rb", "spec/unit/coercible/coercer/date_time/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/date_time/to_date_spec.rb", "spec/unit/coercible/coercer/date_time/to_datetime_spec.rb", "spec/unit/coercible/coercer/date_time/to_string_spec.rb", "spec/unit/coercible/coercer/date_time/to_time_spec.rb", "spec/unit/coercible/coercer/decimal/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/decimal/to_decimal_spec.rb", "spec/unit/coercible/coercer/decimal/to_float_spec.rb", "spec/unit/coercible/coercer/decimal/to_integer_spec.rb", "spec/unit/coercible/coercer/decimal/to_string_spec.rb", "spec/unit/coercible/coercer/element_reader_spec.rb", "spec/unit/coercible/coercer/false_class/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/false_class/to_string_spec.rb", "spec/unit/coercible/coercer/float/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/float/to_datetime_spec.rb", "spec/unit/coercible/coercer/float/to_decimal_spec.rb", "spec/unit/coercible/coercer/float/to_float_spec.rb", "spec/unit/coercible/coercer/float/to_integer_spec.rb", "spec/unit/coercible/coercer/float/to_string_spec.rb", "spec/unit/coercible/coercer/hash/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/hash/to_date_spec.rb", "spec/unit/coercible/coercer/hash/to_datetime_spec.rb", "spec/unit/coercible/coercer/hash/to_time_spec.rb", "spec/unit/coercible/coercer/integer/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/integer/datetime_format_spec.rb", "spec/unit/coercible/coercer/integer/datetime_proc_spec.rb", "spec/unit/coercible/coercer/integer/to_boolean_spec.rb", "spec/unit/coercible/coercer/integer/to_datetime_spec.rb", "spec/unit/coercible/coercer/integer/to_decimal_spec.rb", "spec/unit/coercible/coercer/integer/to_float_spec.rb", "spec/unit/coercible/coercer/integer/to_integer_spec.rb", "spec/unit/coercible/coercer/integer/to_string_spec.rb", "spec/unit/coercible/coercer/integer_spec.rb", "spec/unit/coercible/coercer/numeric/to_decimal_spec.rb", "spec/unit/coercible/coercer/numeric/to_float_spec.rb", "spec/unit/coercible/coercer/numeric/to_integer_spec.rb", "spec/unit/coercible/coercer/numeric/to_string_spec.rb", "spec/unit/coercible/coercer/object/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/object/inspect_spec.rb", "spec/unit/coercible/coercer/object/method_missing_spec.rb", "spec/unit/coercible/coercer/object/to_array_spec.rb", "spec/unit/coercible/coercer/object/to_hash_spec.rb", "spec/unit/coercible/coercer/object/to_integer_spec.rb", "spec/unit/coercible/coercer/object/to_string_spec.rb", "spec/unit/coercible/coercer/string/class_methods/config_spec.rb", "spec/unit/coercible/coercer/string/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/string/to_boolean_spec.rb", "spec/unit/coercible/coercer/string/to_constant_spec.rb", "spec/unit/coercible/coercer/string/to_date_spec.rb", "spec/unit/coercible/coercer/string/to_datetime_spec.rb", "spec/unit/coercible/coercer/string/to_decimal_spec.rb", "spec/unit/coercible/coercer/string/to_float_spec.rb", "spec/unit/coercible/coercer/string/to_integer_spec.rb", "spec/unit/coercible/coercer/string/to_symbol_spec.rb", "spec/unit/coercible/coercer/string/to_time_spec.rb", "spec/unit/coercible/coercer/string_spec.rb", "spec/unit/coercible/coercer/symbol/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/symbol/to_string_spec.rb", "spec/unit/coercible/coercer/time/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/time/to_integer_spec.rb", "spec/unit/coercible/coercer/time/to_time_spec.rb", "spec/unit/coercible/coercer/time_coercions/to_date_spec.rb", "spec/unit/coercible/coercer/time_coercions/to_datetime_spec.rb", "spec/unit/coercible/coercer/time_coercions/to_string_spec.rb", "spec/unit/coercible/coercer/time_coercions/to_time_spec.rb", "spec/unit/coercible/coercer/true_class/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/true_class/to_string_spec.rb", "spec/unit/coercible/configuration/class_methods/build_spec.rb"]
  s.homepage = "https://github.com/solnic/coercible"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Powerful, flexible and configurable coercion library. And nothing more."
  s.test_files = ["spec/integration/configuring_coercers_spec.rb", "spec/shared/unit/coerced_predicate.rb", "spec/shared/unit/configurable.rb", "spec/spec_helper.rb", "spec/unit/coercible/coercer/array/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/array/to_set_spec.rb", "spec/unit/coercible/coercer/class_methods/new_spec.rb", "spec/unit/coercible/coercer/configurable/config_name_spec.rb", "spec/unit/coercible/coercer/configurable/config_spec.rb", "spec/unit/coercible/coercer/date/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/date/to_date_spec.rb", "spec/unit/coercible/coercer/date/to_datetime_spec.rb", "spec/unit/coercible/coercer/date/to_string_spec.rb", "spec/unit/coercible/coercer/date/to_time_spec.rb", "spec/unit/coercible/coercer/date_time/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/date_time/to_date_spec.rb", "spec/unit/coercible/coercer/date_time/to_datetime_spec.rb", "spec/unit/coercible/coercer/date_time/to_string_spec.rb", "spec/unit/coercible/coercer/date_time/to_time_spec.rb", "spec/unit/coercible/coercer/decimal/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/decimal/to_decimal_spec.rb", "spec/unit/coercible/coercer/decimal/to_float_spec.rb", "spec/unit/coercible/coercer/decimal/to_integer_spec.rb", "spec/unit/coercible/coercer/decimal/to_string_spec.rb", "spec/unit/coercible/coercer/element_reader_spec.rb", "spec/unit/coercible/coercer/false_class/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/false_class/to_string_spec.rb", "spec/unit/coercible/coercer/float/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/float/to_datetime_spec.rb", "spec/unit/coercible/coercer/float/to_decimal_spec.rb", "spec/unit/coercible/coercer/float/to_float_spec.rb", "spec/unit/coercible/coercer/float/to_integer_spec.rb", "spec/unit/coercible/coercer/float/to_string_spec.rb", "spec/unit/coercible/coercer/hash/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/hash/to_date_spec.rb", "spec/unit/coercible/coercer/hash/to_datetime_spec.rb", "spec/unit/coercible/coercer/hash/to_time_spec.rb", "spec/unit/coercible/coercer/integer/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/integer/datetime_format_spec.rb", "spec/unit/coercible/coercer/integer/datetime_proc_spec.rb", "spec/unit/coercible/coercer/integer/to_boolean_spec.rb", "spec/unit/coercible/coercer/integer/to_datetime_spec.rb", "spec/unit/coercible/coercer/integer/to_decimal_spec.rb", "spec/unit/coercible/coercer/integer/to_float_spec.rb", "spec/unit/coercible/coercer/integer/to_integer_spec.rb", "spec/unit/coercible/coercer/integer/to_string_spec.rb", "spec/unit/coercible/coercer/integer_spec.rb", "spec/unit/coercible/coercer/numeric/to_decimal_spec.rb", "spec/unit/coercible/coercer/numeric/to_float_spec.rb", "spec/unit/coercible/coercer/numeric/to_integer_spec.rb", "spec/unit/coercible/coercer/numeric/to_string_spec.rb", "spec/unit/coercible/coercer/object/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/object/inspect_spec.rb", "spec/unit/coercible/coercer/object/method_missing_spec.rb", "spec/unit/coercible/coercer/object/to_array_spec.rb", "spec/unit/coercible/coercer/object/to_hash_spec.rb", "spec/unit/coercible/coercer/object/to_integer_spec.rb", "spec/unit/coercible/coercer/object/to_string_spec.rb", "spec/unit/coercible/coercer/string/class_methods/config_spec.rb", "spec/unit/coercible/coercer/string/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/string/to_boolean_spec.rb", "spec/unit/coercible/coercer/string/to_constant_spec.rb", "spec/unit/coercible/coercer/string/to_date_spec.rb", "spec/unit/coercible/coercer/string/to_datetime_spec.rb", "spec/unit/coercible/coercer/string/to_decimal_spec.rb", "spec/unit/coercible/coercer/string/to_float_spec.rb", "spec/unit/coercible/coercer/string/to_integer_spec.rb", "spec/unit/coercible/coercer/string/to_symbol_spec.rb", "spec/unit/coercible/coercer/string/to_time_spec.rb", "spec/unit/coercible/coercer/string_spec.rb", "spec/unit/coercible/coercer/symbol/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/symbol/to_string_spec.rb", "spec/unit/coercible/coercer/time/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/time/to_integer_spec.rb", "spec/unit/coercible/coercer/time/to_time_spec.rb", "spec/unit/coercible/coercer/time_coercions/to_date_spec.rb", "spec/unit/coercible/coercer/time_coercions/to_datetime_spec.rb", "spec/unit/coercible/coercer/time_coercions/to_string_spec.rb", "spec/unit/coercible/coercer/time_coercions/to_time_spec.rb", "spec/unit/coercible/coercer/true_class/coerced_predicate_spec.rb", "spec/unit/coercible/coercer/true_class/to_string_spec.rb", "spec/unit/coercible/configuration/class_methods/build_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<descendants_tracker>, ["~> 0.0.1"])
    else
      s.add_dependency(%q<descendants_tracker>, ["~> 0.0.1"])
    end
  else
    s.add_dependency(%q<descendants_tracker>, ["~> 0.0.1"])
  end
end
